<Script>

    <SceneGroup name="__main__" select="/data">
        <Load_Xml  nodename="main-frame" event="setup" url="/__gui/server_1/main-frame.xml"/>
        <Load_Xml  nodename="main-head" event="setup" url="/__gui/server_1/main-head.xml"/>

       <Scene name="__main__">
            <ExecHtml>
                <HtmlMethod part="main-content"  action="hide"/>
            </ExecHtml>

            <Call_Scene scene="main-frame"/>
            <Call_Scene part="main-head" scene="main-head"/>

        </Scene>

        <Scene name="onShowContent">
            <SelectXml>
                <Call_Scene scene="/object/__main__"/>
            </SelectXml>
        </Scene>

    </SceneGroup>

    <SceneGroup name="object" select="/data">
        <Load_Xml  nodename="object-frame" event="setup" url="/__gui/server_1/object-frame.xml"/>
        <Load_Xml  nodename="object-parents" event="setup" url="/__gui/server_1/object-parents.xml"/>
        <Load_Xml  nodename="object-infos" event="setup" url="/__gui/server_1/object-infos.xml"/>
        <Load_Xml  nodename="object-toolbar" event="setup" url="/__gui/server_1/object-toolbar.xml"/>
        <Load_Xml  nodename="object-content" event="setup" url="/__gui/server_1/object-content.xml"/>
        <Load_Xml  nodename="object-media" event="setup" url="/__gui/server_1/object-media.xml"/>

        <Scene name="__main__">
            <Call_Scene scene="object-frame"/>
            <Call_Scene scene="onShowObject"/>
        </Scene>

        <Scene name="onShowObject">

            <SelectXml>


                <Call_Scene  part="object-menu" scene="object-menu"/>
                <Call_Scene part="object-infos" scene="object-infos"/>
                <Call_Scene part="object-content" scene="object-content"/>
                <ExecHtml>
                    <HtmlMethod part="object-toolbar" action="empty"/>
                    <HtmlEffect part="main-content"  action="fadeIn" t="4000"/>
                </ExecHtml>
            </SelectXml>
        </Scene>

        <Scene name="onShowElement">
            <Call_Scene scene="object-media/__main__"/>
        </Scene>

        <Scene name="onShowContent">
            <Call_Scene part="object-toolbar" scene="object-toolbar"/>
                <ExecHtml text="#object-content"><HtmlMethod action="empty"/></ExecHtml>
        </Scene>

        <Scene name="onShowInfos">
            <SelectXml>
                <Call_Scene part="object-content" scene="object-content"/>
            </SelectXml>
        </Scene>

        <Scene name="onShowAttr">
            <Div class="w3-row w3-center w3-border w3-brown">
                <Div class="w3-col s6 m6 l6 ">
                        <TextAttr attr="name"/>
                 </Div>
                <Div class="w3-col s6 m6 l6">
                        <TextAttr attr="text"/>
                 </Div>
            </Div>
        </Scene>

        <Scene name="onShowMethod">
            <Div class="mybox  w3-orange w3-hover-green  w3-display-container  w3-padding" active="true">
                <Div class="w3-display-topmiddle w3-center">
                    <Icon_Awesome icon="cog" class="w3-xxlarge"/>
                </Div>

                <Div class=" w3-display-bottommiddle w3-center w3-small">
                    <TextAttr attr="name"/>
                </Div>
                <Draw  event="click" scene="onExecAction"/>

            </Div>
        </Scene>

        <Scene name="onExecAction">
            <Request/>
        </Scene>
    </SceneGroup>
</Script>
